<?
  ##########################################
## Àâòîð: -=ØÀÕÒÅÐ=-                        #                                                                                                                                                                                      ## Ñàéò: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Âåðñèÿ 4.0 Ëèöåíçèîííàÿ                  #
## Äàííàÿ âåðñèÿ ñêðèïòà ÿâëÿåòñÿ ÏËÀÒÍÎÉ,  #
## âû ÍÅ ÈÌÅÅÒÅ ÏÐÀÂÀ ðàñïðîñòðÿíÿòü äàííûé #
##  ñêðèïò èëè êàêèå-ëèáî ÷àñòè åãî êîäà... #
  #########################################
require'../config.php';

error_reporting(E_PARSE);
$m=@$_SERVER['QUERY_STRING'];

$a = @$db->sql_fetchrow($db->sql_query ("Select * from groups where id = '".$m."'"));
$img = $a['logo'];

$name = $a['logo'];

$array=explode(".", $img);
$type=$array[1];

$w = $set['w_img_sten'];
$h = $set['h_img_sten'];

function resizeimage($name, $type, $w, $h)
{
$ratio=$w/$h;
$size_image=getimagesize($name);

$src_ratio=$size_image[0]/$size_image[1];
if($ratio<$src_ratio)
$h=$w/$src_ratio;
else $w=$h*$src_ratio;
$destroy=imagecreatetruecolor($w, $h);
if(strtolower($type)=="jpg") $src_image=imagecreatefromjpeg($name);
elseif(strtolower($type)=="gif") $src_image=imagecreatefromgif($name);
elseif(strtolower($type)=="jpeg") $src_image=imagecreatefromjpeg($name);
else $src_image=imagecreatefrompng($name);

if(!@imagecopyresampled($destroy, $src_image, 0, 0, 0, 0, $w, $h, $size_image[0], $size_image[1])) return false;

if(strtolower($type)=="jpg")
{
header("Content-type: image/jpeg");
imagejpeg($destroy);
}
if(strtolower($type)=="gif")
{
header("Content-type: image/gif");
imagegif($destroy);
}
 if(strtolower($type)=="png")
{
header("Content-type: image/png");
imagepng($destroy);
}
 if(strtolower($type)=="jpeg")
{
header("Content-type: image/jpeg");
imagepng($destroy);
}
 if(strtolower($type)=="bmp")
{
header("Content-type: image/bmp");
imagepng($destroy);
}
imagedestroy($destroy);
imagedestroy($src_image);
return TRUE;
}

resizeimage($img, $type, $w, $h);

?>